#ifndef CAMMAINCONTROL_H
#define CAMMAINCONTROL_H

#include <QWidget>

#include "camobject.h"

namespace Ui {
class CamMainControl;
}

class CamMainControl : public QWidget
{
    Q_OBJECT

public:
    explicit CamMainControl(QWidget *parent = 0);
    ~CamMainControl();

    void initRange();
    void updateValue();
    void updateExposureTime(uint exposureTime);
    void updateAutoExposureState();

protected:
    void paintEvent(QPaintEvent *event);

    void timerEvent(QTimerEvent *event);

public slots:
    void slotUpdateFrameRate(double frameRate);

private slots:
    void on_pbLive_clicked();

    void on_cbbResolution_currentIndexChanged(int index);

    void on_hsldGrian_valueChanged(int value);

    void on_hsldBrightness_valueChanged(int value);

    void on_cbAE_clicked(bool checked);

    void on_pbOk_clicked();

private:
    Ui::CamMainControl *ui;

    bool m_isSupportMs;
    bool m_isSupportSec;
    bool m_isSupportAeTarget;

    int m_aeTimerId;

    TUCAM_PROP_ATTR m_gainProp;
    TUCAM_PROP_ATTR m_aeTargetProp;
    TUCAM_PROP_ATTR m_exposureProp;

    TUCAM_CAPA_ATTR m_aeCapa;
    TUCAM_CAPA_ATTR m_resolutionCapa;

};

#endif // CAMMAINCONTROL_H
