#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

namespace Ui {
class MainWindow;
}

class CamRoi;
class CamImageSave;
class CamInformation;
class CamMainControl;
class DrawingGLWidget;
class CamImageAdjustment;

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

    void initUI();
    void initLeftPanel();
    void updatePanelSize();
    void bindConnections();

private:
    Ui::MainWindow *ui;

    QVector<QWidget *> m_widgetsList;

    QWidget *m_ctrlPanel;
    QWidget *m_leftWidget;

    CamRoi *m_camRoi;
    CamImageSave *m_camImageSave;
    CamInformation *m_camInformation;
    CamMainControl *m_camMainControl;
    CamImageAdjustment *m_camImageAdjustment;

    DrawingGLWidget *m_drawWidget;
};

#endif // MAINWINDOW_H
